Subject: Re: Problems with Cygwin and Procmail..
From: Jason Tishler <[email-masked]>
To: Billy Huddleston <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Tue, 7 Oct 2003 09:45:19 -0400

Billy,

Please keep your replies on-list.

On Mon, Oct 06, 2003 at 05:53:17PM -0400, Billy Huddleston wrote:
> > How are you driving procmail?  Via fetchmail?  Or, by some other
> > means?  What version of Windows?  What version of procmail (and
> > fetchmail)?
> >
> 
> Calling procmail via perl scripts which are spawned by my win32
> mailserver.

The above is possibly the problem.  Can you use a Cygwin mail server
instead?

> We're running procmail v3.22

The official package?  Or, one you built yourself?

> > Are the above error messages displayed in a pop-up dialogs?  Or, are
> > they output to the procmail log file?  Do you fork a lot in your
> > procmail recipes?  Or, do you perform most of your filtering inside
> > procmail itself?
> 
> Yes, they're displayed in pop-up dialogs.. and once we get too many of
> them, the filter completely stops responding, almost as if, procmail
> refuses to execute.  We use test, formail, fgrep and various other
> things in the scripts..
> 
> > FWIW, I run procmail-3.22-7 under cygwin-1.3.22-1 at home and
> > procmail-3.22-8 under cygwin-1.5.5-1 at work without any problems
> > whatsoever.  To give you some idea of the volume and "complexity" of
> > my home setup:
> >
> >     15K - 20K messages processed per month
> >     550 line .procmailrc file
> >
> 
> Our scripts are rather complex and I'm make sure not to send large
> files through it..
> 
> > > and refused to open directories and write files, it even created a
> > > directory (I turned logging on and it's suppose to create a directory
> > > when it doesn't exist) with NO permissions, I can't even access it via
> > > administrator!!
> >
> > The above is probably ntsec related.  Note that cygwin-1.3.2 is very
> > old!  More recent cygwin versions default to ntsec on now.
> >
> > > Has anyone seen this or know how I can fix this..
> 
> Well, you have any ideas on how to take care of the ntsec problems??
> Looks like it's not using the correct security somehow...

Under NTFS, it is as easy as:

    $ chmod g-w,o-w ~/.procmailrc
    $ # etc.

> > Maybe you need to revamp your spam recipes.  I'm able to catch 95+
> > percent of all spam and viruses sent to me with the following
> > recipes and bogofilter:
> >
> >     #
> >     # File virus messages.
> >     #
> >
> >     MYVIRUS=$MAILDIR/virus-$MONTH
> >     NASTYEXT=(bat|com|exe|hta|pif|scr|shs|vb[se]|ws[fh]|(doc|txt|xls)\.)
> >     INCLUDERC=$HOME/.procmailrc-virussnag
> >
> >     #
> >     # Test messages for spam.
> >     #
> >
> >     :0 fw
> >     | bogofilter -u -e -p
> >
> >     #
> >     # File spam messages.
> >     #
> >
> >     :0 W:
> >     * ^X-Bogosity: Yes, tests=bogofilter
> >     $MAILDIR/spam-$MONTH
> >
> > The .procmailrc-virussnag file is just Dallman Ross's Virus Snaggers:
> >
> >     http://www.spamless.us/pub/procmail/virussnag.rc
> >
> 
> We spent alot of time working on these procmail scripts and they work
> great on a Linux based system..
> 
> I'm just totally baffled by the behavior of this thing...  I still
> think it has something to do with hung processes and too many
> processes running.. I ran a watch to count the procmail's and when it
> gets around 25 or so, it'll start happining with more frequency.

Sorry, I don't know how to help you more.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/